import request from '@/utils/request'

// 查询费用结算申请列表
export function getSltAgreementInfo(query) {
    return request({
      url: '/material/slt_agreement_info/getSltAgreementInfo4Project',
      method: 'get',
      params: query
    })
}

// 查询费用结算申请详情
export function getSltInfo(params){
  return request({
    url: '/material/slt_agreement_info/getSltInfo',
    method: 'post',
    data: params
  })
}

// 费用结算申请提交
export function submitFee(params){
  return request({
    url: '/material/slt_agreement_info/submitFee',
    method: 'post',
    data: params
  })
}

// 查询费用结算审核列表
export function getSltExam(query) {
  return request({
    url: '/material/slt_agreement_info/getSltExam',
    method: 'get',
    params: query
  })
}


// 查询费用结算审核列表
export function getSltExamInfo(query) {
  return request({
    url: '/material/slt_agreement_info/getSltExamInfo',
    method: 'get',
    params: query
  })
}

// 费用结算审核-同意拒绝
export function settlementReview(query) {
  return request({
    url: '/material/slt_agreement_info/settlementReview',
    method: 'get',
    params: query
  })
}

// 费用结算提交
export function submitCosts(params){
  return request({
    url: '/material/slt_agreement_info/submitCosts',
    method: 'post',
    data: params
  })
}

// 查询结算审批列表
export function getSltList(query) {
  return request({
    url: '/material/slt_agreement_info/getSltList',
    method: 'get',
    params: query
  })
}


// 结算审批提交
export function costExamine(params){
  return request({
    url: '/material/slt_agreement_info/costExamine',
    method: 'post',
    data: params
  })
}

// 查询减免费用列表
export function getReliefList(query) {
  return request({
    url: '/material/slt_agreement_reduce/applyByParam',
    method: 'get',
    params: query
  })
}

// 减免费用提交
export function addRelief(params){
  return request({
    url: '/material/slt_agreement_reduce/addApply',
    method: 'post',
    data: params
  })
}

// 减免费用详情
export function getDiscountViewList(id) {
  return request({
    url: '/material/derateRecordQuery/' + id,
    method: 'get'
  })
}


// 减免费用修改
export function editRelief(params){
  return request({
    url: '/material/slt_agreement_reduce/editApply',
    method: 'post',
    data: params
  })
}

// 查询费用结算申请详情
export function getProjectListByUnitIds(params){
  return request({
    url: '/material/slt_agreement_info/getProjectListByUnitIds',
    method: 'post',
    data: params
  })
}

// 协议
export function getAgreementInfoById(data) {
  return request({
    url: '/material/slt_agreement_info/getAgreementInfoById',
    method: 'post',
    data: data,
  })
}




